Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.todo
Class ToDoList

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.AbstractSequentialList
                        |
                        +--java.util.LinkedList
                              |
                              +--com.compoze.todo.ToDoList

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.io.Serializable

public class ToDoList
extends java.util.LinkedList

This class represents a list of to dos. This list provides convenience methods to create sub-lists of to dos based on specified dates. This list is unmodifiable therefore attempts to modify the list will throw an `UnsupportedOperationException`.

See Also:
  `ToDos.todos()`, `subList(java.util.Date,java.util.Calendar)`, Serialized Form

Fields inherited from class java.util.AbstractList
`modCount`

Method Summary
`void` | `add(int index, java.lang.Object element)` Inserts the specified element at the specified position in this list (optional operation).
`boolean` | `add(java.lang.Object element)` Inserts the specified element to the end of this list (optional operation).
`void` | `clear()` Removes all of the elements from this list (optional operation).
`ToDoList` | `subList(java.util.Date givenDate)` Returns a to do list of the portion of this list due on the given date.
`ToDoList` | `subList(java.util.Date givenDate, java.util.Calendar cal)` Returns a to do list of the portion of this list due on the given date.
`ToDoList` | `subList(java.util.Date startDate, java.util.Date endDate)` Returns a to do list of the portion of this list between the specified start and end date range.

Methods inherited from class java.util.LinkedList
`addAll, addAll, addFirst, addLast, clone, contains, get, getFirst, getLast, indexOf, lastIndexOf, listIterator, remove, remove, removeFirst, removeLast, set, size, toArray, toArray`

Methods inherited from class java.util.AbstractSequentialList
`iterator`

Methods inherited from class java.util.AbstractList
`equals, hashCode, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, isEmpty, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, isEmpty, iterator, listIterator, removeAll, retainAll, subList`

Method Detail

### add

    public void add(int index,
                    java.lang.Object element)

  Inserts the specified element at the specified position in this list (optional operation).
  Overrides:
    `add` in class `java.util.LinkedList`
  Parameters:
    `index` - index at which the specified element is to be inserted
    `element` - element to be inserted
  Throws:
    `java.lang.UnsupportedOperationException` - `add` is not supported

### add

    public boolean add(java.lang.Object element)

  Inserts the specified element to the end of this list (optional operation).
  Overrides:
    `add` in class `java.util.LinkedList`
  Parameters:
    `element` - element to be inserted
  Throws:
    `java.lang.UnsupportedOperationException` - `add` is not supported

### clear

    public void clear()

  Removes all of the elements from this list (optional operation).
  Overrides:
    `clear` in class `java.util.LinkedList`
  Throws:
    `java.lang.UnsupportedOperationException` - `clear` is not supported

### subList

    public ToDoList subList(java.util.Date givenDate)

  Returns a to do list of the portion of this list due on the given date. The default calendar instance is used.
  Parameters:
    `givenDate` - the given date
  Returns:
    the list of `ToDo` objects

### subList

    public ToDoList subList(java.util.Date givenDate,
                            java.util.Calendar cal)

  Returns a to do list of the portion of this list due on the given date.
  Parameters:
    `givenDate` - the given date
    `cal` - the calendar
  Returns:
    the list of `ToDo` objects

### subList

    public ToDoList subList(java.util.Date startDate,
                            java.util.Date endDate)

  Returns a to do list of the portion of this list between the specified start and end date range. To dos are considered between this date range if the due date occurs within the specified date range. The time (hours, minutes, seconds) values are ignored, only the date properties of the specified times are used during the comparison.
  Parameters:
    `startDate` - the start date (may not be `null`)
    `endDate` - the end date (may not be `null`)
  Returns:
    the list of `ToDo` objects with the date range

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.